Bug 9970 - Backport vfs_streams_xattr fixes to 4.0 and 4.1
Backport vfs_streams_xattr fixes to 4.0 and 4.1
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 22:57 UTC by Christof Schmitt
Modified: 2013-07-04 08:00 UTC (History)
1 user (show)

See Also:


Attachments
Backport of 5c488cfb7 for 4.0. (1.22 KB, patch)
2013-06-26 23:01 UTC, Christof Schmitt
vl: review+
jra: review+
Details
Backport of 4cd7e1d283 for 4.0 (2.90 KB, patch)
2013-06-26 23:04 UTC, Christof Schmitt
vl: review+
jra: review+
Details
Backport of 4cd7e1d283f0 for 4.1 (2.90 KB, text/plain)
2013-06-26 23:05 UTC, Christof Schmitt
vl: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2013-06-26 22:57:57 UTC
These two commits fix a problem in the vfs_streams_xattr module. Please backport them to the 4.0 and 4.1 release branches. 5c488cfb7 is already included in the 4.1 branch, so only 4cd7e1d2 is required there:

commit 4cd7e1d283f060e794023d5b0a48a7ec97d33820
Author: Christof Schmitt <christof.schmitt@us.ibm.com>
Date:   Wed Jun 12 14:55:15 2013 -0700

    vfs_streams_xattr: Do not attempt to write empty attribute twice


commit 5c488cfb79873287e769622fd5da43b7a735e29c
Author: Christof Schmitt <christof.schmitt@us.ibm.com>
Date:   Wed Jun 12 14:49:53 2013 -0700

    Initialize the file descriptor in the files_struct before trying to close it. Otherwise, if one of the SETXATTR calls had failed, the close() call will return EBADF.

Patches made with cherry-pick -x are attached.
Comment 1 Christof Schmitt 2013-06-26 23:01:54 UTC
Created attachment 9000 [details]
Backport of 5c488cfb7 for 4.0.
Comment 2 Christof Schmitt 2013-06-26 23:04:39 UTC
Created attachment 9001 [details]
Backport of 4cd7e1d283 for 4.0
Comment 3 Christof Schmitt 2013-06-26 23:05:59 UTC
Created attachment 9002 [details]
Backport of 4cd7e1d283f0 for 4.1
Comment 4 Jeremy Allison 2013-07-02 18:53:49 UTC
Comment on attachment 9000 [details]
Backport of 5c488cfb7 for 4.0.

LGTM
Comment 5 Jeremy Allison 2013-07-02 18:54:21 UTC
Comment on attachment 9001 [details]
Backport of 4cd7e1d283 for 4.0

LGTM.
Comment 6 Jeremy Allison 2013-07-02 18:54:51 UTC
Comment on attachment 9002 [details]
Backport of 4cd7e1d283f0 for 4.1

LGTM.
Comment 7 Jeremy Allison 2013-07-02 19:07:50 UTC
Reassigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 8 Karolin Seeger 2013-07-03 08:34:23 UTC
Pushed to autobuild-v4-0-test, 
v4-1-test will be synced with the master branch again tomorrow (but it's very good that it gets attention now! :-).
Comment 9 Karolin Seeger 2013-07-04 08:00:09 UTC
Pushed to v4-0-test (and v4-1-test).
Closing out bug report.

Thanks!